// LED_3clicks
// 作成方針：
//    LED_onOff_2 をベースに作成
//    LEDの状態を変化させたところ（ledOn = !ledOn;）を、回数のカウントに変更

int swPrev = LOW; //初期値は不要。ここで設定すればsetup内のswPrevの設定を省略可能
boolean ledOn = true; 
int count=0; // ボタンが押された回数を保存。これが3になったらLEDを消灯

void setup() {
  pinMode(9, OUTPUT);
  pinMode(2, INPUT);
  swPrev = digitalRead(2); // プログラム開始時のボタンの状態をswPrevに記録する
}

void loop () {
  int sw = digitalRead(2);

  // sw がHIGHで、前のsw(swPrev)がLOWの場合のみ、LEDの状態を変更する
  if((sw == HIGH)&&(swPrev == LOW)) {
    count++;
    // カウントが変化した時に3の倍数かを確認してLEDの状態を変更する
    if(count%3 == 0) {
      ledOn = !ledOn;
    }
  }

  // swPrev に sw の値を記録する
  swPrev = sw; 

  // count が3以上になったらLEDを消灯する場合は、countの判断はここに記述できたが
  // ここはloopで毎回通る場所なので、トグルの場合はcountが3の倍数である限り毎回
  // 変更されてしまうので、ここに if(count%3==0){ledOn = !ledOn;}を書いてはいけない。

  // ledOnの値に応じて、LEDを点灯、または消灯する
  if(ledOn) {
    digitalWrite(9, HIGH); 
  }
  else {
    digitalWrite(9, LOW);
  }
}







